Bug 3400 - (int-94853) Update libglade to at least 2.6.1
(int-94853)
: Update libglade to at least 2.6.1
Status: VERIFIED FIXED
Product: Desktop platform
general
: 4.1.2 (4.2008.36-5)
: All Linux
: Low normal (vote)
: 5.0-alpha
Assigned To: unassigned
: HAF QA mailing list
:
:
:
:
  Show dependency tree
 
Reported: 2008-07-04 17:05 UTC by Armin Burgmeier
Modified: 2009-03-02 13:38 UTC (History)
2 users (show)

See Also:


Attachments
Small example using glade_xml_new_from_buffer (1017 bytes, text/plain)
2008-08-18 22:10 UTC, Armin Burgmeier
Details
basic_from_buffer.cc (4.49 KB, text/x-c++src)
2008-08-19 13:56 UTC, Murray Cumming
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Armin Burgmeier (reporter) 2008-07-04 17:05:23 UTC
libglademm (the libglade C++ wrapper) requires libglade version 2.6.1.
Currently, we manually hacked the package so that it compiles against 2.4.0,
but it would be nice if that wasn't necessary.
Comment 1 Andre Klapper maemo.org 2008-07-07 16:35:50 UTC
Armin, if it's not related to NDA stuff, can you please explain what
functionality you need that is included in 2.6.1 but not in 2.4?
having arguments makes it much easier to convince people that prefer to ship
proved-to-work releases. :-P
Comment 2 Armin Burgmeier (reporter) 2008-07-07 19:46:33 UTC
libglade has glade_xml_construct_from_buffer only since 2.6.1. This is required
for the C++ wrapper to wrap the costructor that takes a memory buffer instead
of a file name. Currently, that constructor is simply commented out, so the
functionality is not available at all in C++ (well, apart from using the C API
directly).

I must admit that I don't know of any application using this yet. However, it
might still be confusing that it pops up in the (online) documentation but
isn't available on maemo.
Comment 3 Jianjun Yu 2008-08-15 09:24:06 UTC
Can you point out the application which use glade_xml_construct_from_buffer ?

Thanks!
Comment 4 Murray Cumming 2008-08-15 12:18:33 UTC
(In reply to comment #3)
> Can you point out the application which use glade_xml_construct_from_buffer ?

libglademm. It's a library, not an application.
Comment 5 Jianjun Yu 2008-08-18 04:01:46 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Can you point out the application which use glade_xml_construct_from_buffer ?
> 
> libglademm. It's a library, not an application.
> 

I know it's a library. I need a test code which use
glade_xml_construct_from_buffer    in order to test the library.I don't
understand this function because there are not
introduction about this. 

So if you know this function you can tell me or give me a test code.

thanks!
Comment 6 Murray Cumming 2008-08-18 14:43:10 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > (In reply to comment #3)
> > > Can you point out the application which use glade_xml_construct_from_buffer ?
> > 
> > libglademm. It's a library, not an application.
> > 
> 
> I know it's a library. I need a test code which use
> glade_xml_construct_from_buffer    in order to test the library.

libglade itself uses this function in glade_xml_new_from_buffer(), so if that's
working then it's working.

However, there is a small rarely-triggered bug so you should take the new
libglade version (2.6.3), which I released today, please.

> I don't
> understand this function because there are not
> introduction about this. 

There is now some documentation here:
http://library.gnome.org/devel/libglade/unstable/GladeXML.html#glade-xml-construct-from-buffer


You also sent me two emails about this. Please just use bugzilla.
Comment 7 Murray Cumming 2008-08-18 14:47:35 UTC
Armin, maybe you could create a small example .c file that shows the use of
glade_xml_new_from_buffer().
Comment 8 Armin Burgmeier (reporter) 2008-08-18 22:10:31 UTC
Created an attachment (id=881) [details]
Small example using glade_xml_new_from_buffer
Comment 9 Jianjun Yu 2008-08-19 04:30:21 UTC
(In reply to comment #8)
> Created an attachment (id=881) [details] [details]
> Small example using glade_xml_new_from_buffer
> 
oh, so that's the way it is,I get it.
I don't see this usage before, I have just begun to learn libglade.

About this bug, I think nokia shuld update libglade(version 2.4.0) to at least
2.6.1 in order to use this function.

Thanks a lot!
Comment 10 Jianjun Yu 2008-08-19 13:35:25 UTC
(In reply to comment #2)
> libglade has glade_xml_construct_from_buffer only since 2.6.1. This is required
> for the C++ wrapper to wrap the costructor that takes a memory buffer instead
> of a file name. Currently, that constructor is simply commented out, so the
> functionality is not available at all in C++ (well, apart from using the C API
> directly).
> 
> I must admit that I don't know of any application using this yet. However, it
> might still be confusing that it pops up in the (online) documentation but
> isn't available on maemo.
> 
I don't really understand above description.Because I need to write a report to
describe the bug your report . So if you give more explanation , I will very
appreciate for that. Besides,I want to know the c++ wrapper how to use this
function .
Comment 11 Murray Cumming 2008-08-19 13:37:50 UTC
(In reply to comment #10)
> I don't really understand above description.Because I need to write a report to
> describe the bug your report . So if you give more explanation , I will very
> appreciate for that.

libglademm needs this function to exist in libglade in order to build
libglademm. It's that simple.

> Besides,I want to know the c++ wrapper how to use this
> function . 

You want to know how to use the part of libglademm that uses this? I can't
imagine why that is important to you, but I will attach an example.
Comment 12 Murray Cumming 2008-08-19 13:56:09 UTC
Created an attachment (id=888) [details]
basic_from_buffer.cc

A small C++ example of the use of Gnome::Glade::Xml::create_from_buffer(), from
libglademm.
Comment 13 Jianjun Yu 2008-08-20 04:10:42 UTC
(In reply to comment #12)
> Created an attachment (id=888) [details] [details]
> basic_from_buffer.cc
> 
> A small C++ example of the use of Gnome::Glade::Xml::create_from_buffer(), from
> libglademm.
> 

I get it. Thanks very much!
Comment 14 Jianjun Yu 2008-08-25 10:33:54 UTC
I think this bug could be closed!
I build libglade2.4.0 from maemo and then build libglademm2.6.6 .there will be
a problem about version.  
if I build libglade2.6.3 and then  build libglademm2.6.6.There is no problem. 
I use the basic_from_buffer.cc to test the library.And it's correct.

So I hope the reporter to close this bug.

libglade could be download from
http://ftp.gnome.org/pub/GNOME/sources/libglade/2.6/

libglademm could be download from
http://ftp.gnome.org/pub/GNOME/sources/libglademm/2.6/
Comment 15 Armin Burgmeier (reporter) 2008-08-25 11:29:57 UTC
Maybe I am missing something, but after doing "apt-get update" in scratchbox,
then the libglade available is still 2.4, for both x86 and armel targets.
Comment 16 Murray Cumming 2008-08-25 12:32:57 UTC
(In reply to comment #14)
> I think this bug could be closed!
> I build libglade2.4.0 from maemo and then build libglademm2.6.6 .there will be
> a problem about version.  

What do you mean? Please be more clear. This is becoming very frustrating.

For instance, please describe one problem that increasing the libglade version
could cause?

If necessary, please hand this bug over to somebody else.

> if I build libglade2.6.3 and then  build libglademm2.6.6.There is no problem. 
> I use the basic_from_buffer.cc to test the library.And it's correct.
> 
> So I hope the reporter to close this bug.
> 
> libglade could be download from
> http://ftp.gnome.org/pub/GNOME/sources/libglade/2.6/
> 
> libglademm could be download from
> http://ftp.gnome.org/pub/GNOME/sources/libglademm/2.6/

This bug is about increasing the libglade version in maemo, not about whether
someone can build if from source locally.
Comment 17 Andre Klapper maemo.org 2008-08-25 13:44:19 UTC
Just as a quick update: The internal bug is closed as WONTFIX for Diablo, and I
have to discuss with Rodrigo first to be allowed to target it for Fremantle
again. Yes, Nokia policies... :-(
Comment 18 Murray Cumming 2008-08-25 13:52:09 UTC
(In reply to comment #17)
> Just as a quick update: The internal bug is closed as WONTFIX for Diablo, and I
> have to discuss with Rodrigo first to be allowed to target it for Fremantle
> again. Yes, Nokia policies... :-(

Fair enough. I guess they just don't like updating anything other than a micro
version, though I'd like to know what the actual reasoning is in that internal
bug. And he internal bug number should be in the whiteboard, or somewhere, I
guess. Thanks.

Let's keep this open for Fremantle, so we can fix this then.
Comment 19 Andre Klapper maemo.org 2008-08-25 14:01:37 UTC
(In reply to comment #18)
> And he internal bug number should be in the whiteboard

it is already in the alias.
Comment 20 Jianjun Yu 2008-08-27 04:44:40 UTC
(In reply to comment #16)
> (In reply to comment #14)
> > I think this bug could be closed!
> > I build libglade2.4.0 from maemo and then build libglademm2.6.6 .there will be
> > a problem about version.  
> 
> What do you mean? Please be more clear. This is becoming very frustrating.
> 
> For instance, please describe one problem that increasing the libglade version
> could cause?
> 
> If necessary, please hand this bug over to somebody else.
> 
> > if I build libglade2.6.3 and then  build libglademm2.6.6.There is no problem. 
> > I use the basic_from_buffer.cc to test the library.And it's correct.
> > 
> > So I hope the reporter to close this bug.
> > 
> > libglade could be download from
> > http://ftp.gnome.org/pub/GNOME/sources/libglade/2.6/
> > 
> > libglademm could be download from
> > http://ftp.gnome.org/pub/GNOME/sources/libglademm/2.6/
> 
> This bug is about increasing the libglade version in maemo, not about whether
> someone can build if from source locally.
> 

[sbox-DIABLO_ARMEL: ~/bug3400] > apt-get install libglade2-0
[sbox-DIABLO_ARMEL: ~/bug3400/libglademm-2.6.6] > dpkg -l libglade2-0
 Name                Version             Description
+++-===================-===================-======================================================
ii  libglade2-0         2.4.0-1osso2        Library to load .glade files at
runtime
[sbox-DIABLO_ARMEL: ~/bug3400] > wget
http://ftp.gnome.org/pub/GNOME/sources/libglademm/2.6/libglademm-2.6.6.tar.gz
[sbox-DIABLO_ARMEL: ~/bug3400] > tar -zxf ./libglademm-2.6.6.tar.gz
[sbox-DIABLO_ARMEL: ~/bug3400] > cd libglademm-2.6.6
[sbox-DIABLO_ARMEL: ~/bug3400] > ./configure
checking for LIBGLADEMM... configure: error: Package requirements (gtkmm-2.4 >=
2.6.0 libglade-2.0 >= 2.6.1) were not met:
Requested 'libglade-2.0 >= 2.6.1' but version of Libglade is 2.4.0
Comment 21 Murray Cumming 2008-08-27 11:18:42 UTC
(In reply to comment #20)
> [sbox-DIABLO_ARMEL: ~/bug3400] > cd libglademm-2.6.6
> [sbox-DIABLO_ARMEL: ~/bug3400] > ./configure
> checking for LIBGLADEMM... configure: error: Package requirements (gtkmm-2.4 >=
> 2.6.0 libglade-2.0 >= 2.6.1) were not met:
> Requested 'libglade-2.0 >= 2.6.1' but version of Libglade is 2.4.0

Yes, that is the entire point.

Please, just assign this bug to somebody else. You are clearly totally
confused.
Comment 22 Andre Klapper maemo.org 2008-12-10 16:12:39 UTC
(From update of attachment 881 [details])
removing patch keyword from sample code
Comment 23 Andre Klapper maemo.org 2009-01-12 13:09:30 UTC
Fremantle will ship libglade2 >= 2.6.3.
This update has been committed today internally, hence closing as FIXED.
Comment 24 Andre Klapper maemo.org 2009-01-30 13:01:29 UTC
(Yes, this has been committed but is obviously not integrated yet, as Fremantle
SDK pre-alpha2 still ships libglade2-0 1:2.4.0-1osso2.)